package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.dto.BasicPrintConfigDto;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.entity.BasicPrintConfig;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 印品配置 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2022-02-10
 */
public interface BasicPrintConfigMapper extends BaseMapper<BasicPrintConfig> {

    IPage<BasicPrintConfigDto> listPage(@Param("page") Page<BasicPrintConfigDto> page, @Param("schoolId") Long schoolId, @Param("examId") Long examId, @Param("enable") Boolean enable, @Param("createStartTime") Long createStartTime, @Param("createEndTime") Long createEndTime,@Param("dpr") DataPermissionRule dpr);

    List<BasicPrintConfig> listBySchoolIdAndExamIdAndOrgId(@Param("schoolId") Long schoolId, @Param("examId") Long examId, @Param("orgId") Long orgId, @Param("type") String type);
}
